# Remove channel from contact

> Remove a communication channel from a contact. Cannot remove the last channel.

`DELETE https://api.zavu.dev/v1/contacts/{contactId}/channels/{channelId}`

Remove a communication channel from a contact. Cannot remove the last channel.

## Parameters

- `contactId` (path, string, required)
- `channelId` (path, string, required): Channel ID.

## Responses

### 204

Channel removed.

### 400

Cannot remove the last channel.

- `code` (string, required)
- `message` (string, required)
- `details` (object)

### 401

Unauthorized.

- `code` (string, required)
- `message` (string, required)
- `details` (object)

### 404

Contact or channel not found.

- `code` (string, required)
- `message` (string, required)
- `details` (object)

## Example

```bash
curl -X DELETE "https://api.zavu.dev/v1/contacts/contact_abc123/channels/channel_abc123" \
  -H "Authorization: Bearer $ZAVUDEV_API_KEY"
```

```typescript
import Zavudev from "@zavudev/sdk";

const zavu = new Zavudev({ apiKey: process.env.ZAVUDEV_API_KEY });

await zavu.contacts.channels.remove("channel_abc123", {
  contactId: "contact_abc123",
});
```
